field_indirect< T, M >::const_iterator

## Public Types

typedef std::forward_iterator_tag | iterator_category
typedef vec< T, M >::size_type | size_type
typedef T | value_type
typedef const T & | reference
typedef const T * | pointer
typedef std::ptrdiff_t | difference_type

## Public Member Functions

| const_iterator (typename disarray< size_type, M >::const_iterator idof_iter, typename field_basic< T, M >::const_iterator val)
const T & | operator* () const
const_iterator & | operator++ ()
bool | operator== (const const_iterator &j) const
bool | operator!= (const const_iterator &j) const

## Protected Attributes

disarray< size_type, M >::const_iterator | _idof_iter
field_basic< T, M >::const_iterator | _val

## Detailed Description

### template<class T, class M = rheo_default_memory_model>
class rheolef::field_indirect< T, M >::const_iterator

Definition at line 220 of file field_indirect.h.

## Member Typedef Documentation

## iterator_category

typedef std::forward_iterator_tag iterator_category

Definition at line 223 of file field_indirect.h.

## size_type

typedef vec<T,M>::size_type size_type

Definition at line 224 of file field_indirect.h.

## value_type

typedef T value_type

Definition at line 225 of file field_indirect.h.

## reference

typedef const T& reference

Definition at line 226 of file field_indirect.h.

## pointer

typedef const T* pointer

Definition at line 227 of file field_indirect.h.

## difference_type

typedef std::ptrdiff_t difference_type

Definition at line 228 of file field_indirect.h.

## Constructor & Destructor Documentation

## const_iterator()

const_iterator | ( | typename disarray< size_type, M >::const_iterator | idof_iter,
|  | typename field_basic< T, M >::const_iterator | val
| ) |  |

Definition at line 230 of file field_indirect.h.

## Member Function Documentation

## operator*()

const T& operator* | ( |  | ) | const

Definition at line 234 of file field_indirect.h.

## operator++()

const_iterator& operator++ | ( |  | ) |

Definition at line 235 of file field_indirect.h.

## operator==()

bool operator== | ( | const const_iterator & | j | ) | const

Definition at line 239 of file field_indirect.h.

## operator!=()

bool operator!= | ( | const const_iterator & | j | ) | const

Definition at line 240 of file field_indirect.h.

## Member Data Documentation

## _idof_iter

disarray<size_type,M>::const_iterator _idof_iter

protected

Definition at line 243 of file field_indirect.h.

## _val

field_basic<T,M>::const_iterator _val

protected

Definition at line 244 of file field_indirect.h.

The documentation for this class was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/field_indirect.h